Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui
Class SoapUI

    java.lang.Object
      com.eviware.soapui.SoapUI

    public class SoapUI

extends java.lang.Object

Main SoapUI entry point.

Nested Class Summary
`static class` | `SoapUI.ImportPreferencesAction`
`class` | `SoapUI.InternalNavigatorListener`
`class` | `SoapUI.MaximizeDesktopAction`

Field Summary
`static boolean` | `checkedGroovyLogMonitor`
`static java.lang.String` | `CURRENT_SOAPUI_WORKSPACE`
`static java.lang.String` | `DEFAULT_DESKTOP`
`static java.lang.String` | `DEFAULT_WORKSPACE_FILE`
`static org.apache.log4j.Logger` | `log`
`static java.lang.String` | `SOAPUI_SPLASH_GIF`
`static java.lang.String` | `SOAPUI_VERSION`

Method Summary
`static org.apache.log4j.Logger` | `ensureGroovyLog()`
`static SoapUIActionRegistry` | `getActionRegistry()`
`static SoapUIDesktop` | `getDesktop()`
`javax.swing.JFrame` | `getFrame()`
`static SoapUIListenerRegistry` | `getListenerRegistry()`
`static Log4JMonitor` | `getLogMonitor()`
`static javax.swing.JMenuBar` | `getMenuBar()`
`static MockEngine` | `getMockEngine()`
`static Navigator` | `getNavigator()`
`static Settings` | `getSettings()`
`static SoapUICore` | `getSoapUICore()`
`static TestMonitor` | `getTestMonitor()`
`static Workspace` | `getWorkspace()`
`static void` | `importPreferences(java.io.File file)`
`static void` | `initDefaultCore()`
`static javax.swing.JComponent` | `initLogMonitor(boolean hasDefault, java.lang.String defaultName, Log4JMonitor logMonitor)`
`static boolean` | `isStandalone()`
`static void` | `log(java.lang.Object msg)`
`static void` | `logError(java.lang.Throwable e)`
`static void` | `main(java.lang.String[] args)`
`static java.lang.String` | `saveSettings()`
`static void` | `setDesktop(SoapUIDesktop desktop)`
`static void` | `setLogMonitor(Log4JMonitor monitor)`
`static void` | `setNavigator(Navigator navigator)`
`static void` | `setSoapUICore(SoapUICore soapUICore)`
`static void` | `setStandalone(boolean standalone)`
`static void` | `setTestMonitor(TestMonitor monitor)`
`static SoapUI` | `startSoapUI(java.lang.String[] args, java.lang.String title, java.lang.String splashImage, SwingSoapUICore core)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_DESKTOP

    public static final java.lang.String DEFAULT_DESKTOP

See Also:
  Constant Field Values

### CURRENT_SOAPUI_WORKSPACE

    public static final java.lang.String CURRENT_SOAPUI_WORKSPACE

### log

    public static final org.apache.log4j.Logger log

### SOAPUI_VERSION

    public static final java.lang.String SOAPUI_VERSION

See Also:
  Constant Field Values

### DEFAULT_WORKSPACE_FILE

    public static final java.lang.String DEFAULT_WORKSPACE_FILE

See Also:
  Constant Field Values

### SOAPUI_SPLASH_GIF

    public static final java.lang.String SOAPUI_SPLASH_GIF

See Also:
  Constant Field Values

### checkedGroovyLogMonitor

    public static boolean checkedGroovyLogMonitor

Method Detail

### getWorkspace

    public static Workspace getWorkspace()

### getFrame

    public javax.swing.JFrame getFrame()

### initLogMonitor

    public static javax.swing.JComponent initLogMonitor(boolean hasDefault,
                                                        java.lang.String defaultName,
                                                        Log4JMonitor logMonitor)

### log

    public static void log(java.lang.Object msg)

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### startSoapUI

    public static SoapUI startSoapUI(java.lang.String[] args,
                                     java.lang.String title,
                                     java.lang.String splashImage,
                                     SwingSoapUICore core)
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getSoapUICore

    public static SoapUICore getSoapUICore()

### setSoapUICore

    public static void setSoapUICore(SoapUICore soapUICore)

### isStandalone

    public static boolean isStandalone()

### getMenuBar

    public static javax.swing.JMenuBar getMenuBar()

### logError

    public static void logError(java.lang.Throwable e)

### ensureGroovyLog

    public static org.apache.log4j.Logger ensureGroovyLog()

### getTestMonitor

    public static TestMonitor getTestMonitor()

### setTestMonitor

    public static void setTestMonitor(TestMonitor monitor)

### getLogMonitor

    public static Log4JMonitor getLogMonitor()

### setLogMonitor

    public static void setLogMonitor(Log4JMonitor monitor)

### getDesktop

    public static SoapUIDesktop getDesktop()

### setDesktop

    public static void setDesktop(SoapUIDesktop desktop)

### getNavigator

    public static Navigator getNavigator()

### getActionRegistry

    public static SoapUIActionRegistry getActionRegistry()

### setNavigator

    public static void setNavigator(Navigator navigator)

### setStandalone

    public static void setStandalone(boolean standalone)

### getListenerRegistry

    public static SoapUIListenerRegistry getListenerRegistry()

### getSettings

    public static Settings getSettings()

### importPreferences

    public static void importPreferences(java.io.File file)
                                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getMockEngine

    public static MockEngine getMockEngine()

### saveSettings

    public static java.lang.String saveSettings()
                                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### initDefaultCore

    public static void initDefaultCore()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.